Index: o-bachkim-filespace/sourcecode/application/modules/ajax/controllers/directory.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/modules/ajax/controllers/directory.php	(revision 9)
+++ 	(revision )
@@ -1,20 +1,0 @@
-<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
-/**
- * Directory Class
- * 
- * @author dzungnv02
- *
- */
-
-class Directory extends MX_Controller 
-{
-	
-	public function __construct() {
-		parent::__construct();
-	}
-
-
-}
-
-/* End of file directory.php */
-/* Location: ./application/modules/ajax/controllers/directory.php */
Index: /pro-bachkim-filespace/sourcecode/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/modules/ajax/controllers/privatecontent.php	(revision 10)
+++ /pro-bachkim-filespace/sourcecode/application/modules/ajax/controllers/privatecontent.php	(revision 10)
@@ -0,0 +1,54 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+/**
+ * PrivateContent Class
+ * 
+ * @author dzungnv02
+ *
+ */
+
+class PrivateContent extends MX_Controller 
+{
+	
+	public function __construct() {
+		parent::__construct();
+	}
+	
+	public function getContent () {
+		$aryDir = array(
+				0 => array ('id' => 1, 'name' => 'Dir 1', 'parentID' => 0),
+				1 => array ('id' => 2, 'name' => 'Dir 2', 'parentID' => 0),
+				2 => array ('id' => 3, 'name' => 'Dir 1.1', 'parentID' => 1),
+				3 => array ('id' => 4, 'name' => 'Dir 1.1.1', 'parentID' => 3),
+				4 => array ('id' => 5, 'name' => 'Dir 1.1.1.1', 'parentID' => 4),
+				5 => array ('id' => 6, 'name' => 'Dir 1.1.2', 'parentID' => 3),
+				6 => array ('id' => 7, 'name' => 'Dir 3', 'parentID' => 0),
+				7 => array ('id' => 8, 'name' => 'Dir 3.1', 'parentID' => 7)
+		);
+		
+		$aryFile = array(
+				0 => array('id' => 1, 'name' => 'File 1', 'minetype' => 'text', 'size' => '1.5MB', 'parentID' => 1),
+				1 => array('id' => 2, 'name' => 'File 2', 'minetype' => 'text', 'size' => '1.6MB', 'parentID' => 1),
+				2 => array('id' => 3, 'name' => 'File 3', 'minetype' => 'text', 'size' => '1.7MB', 'parentID' => 2),
+				3 => array('id' => 4, 'name' => 'File 4', 'minetype' => 'text', 'size' => '1.8MB', 'parentID' => 2),
+				4 => array('id' => 5, 'name' => 'File 5', 'minetype' => 'text', 'size' => '1.8MB', 'parentID' => 0),
+				5 => array('id' => 6, 'name' => 'File 6', 'minetype' => 'text', 'size' => '1.8MB', 'parentID' => 3),
+				5 => array('id' => 7, 'name' => 'File 7', 'minetype' => 'text', 'size' => '1.8MB', 'parentID' => 5)
+		);
+		
+		$aryData = array('DIRECTORIES' => $aryDir, 'FILES' => $aryFile);
+		
+		echo json_encode($aryData);
+	}
+
+	public function createDir () {
+		
+	}
+	
+	public function deleteDir () {
+		
+	}
+
+}
+
+/* End of file directory.php */
+/* Location: ./application/modules/ajax/controllers/directory.php */
Index: /pro-bachkim-filespace/sourcecode/application/modules/filemanager/controllers/filemanager.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/modules/filemanager/controllers/filemanager.php	(revision 9)
+++ /pro-bachkim-filespace/sourcecode/application/modules/filemanager/controllers/filemanager.php	(revision 10)
@@ -17,5 +17,5 @@
 	public function index() 
 	{
-		$this->load->view ( 'welcome');
+		$this->load->view ( 'main');
 	}
 
Index: /pro-bachkim-filespace/sourcecode/application/modules/filemanager/views/main.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/modules/filemanager/views/main.php	(revision 10)
+++ /pro-bachkim-filespace/sourcecode/application/modules/filemanager/views/main.php	(revision 10)
@@ -0,0 +1,62 @@
+<?php
+$this->load->view('layout/header');
+?>
+
+<div id="main-content" class="container-fluid">
+
+	<div class="row">
+		<div id="title-bar" class="col-sm-10 col-md-10 col-lg-10 header-color-blue2">
+			<div id="logo"><i class="icon-xing">&nbsp;Violet Space</i></div>
+		</div>
+	    <div id="profile-area" class="col-sm-2 col-md-2 col-lg-2 header-color-dark">
+			<img alt="Avatar" width="45" src="assets/images/avatar/dungnv.jpg" class="nav-user-photo">
+			<span class="user-info">
+				<small>Welcome,</small>
+				Nguyá»
+n VÅ© DÅ©ng
+			</span>
+			<i class="icon-gear" style="padding-left:5px;font-size:18px;color:#FFFFFF"></i>
+	    </div>
+	</div>
+	<div class="row">
+		<div id="tools-bar" class="col-sm-12 col-xs-12 col-md-12 col-lg-12">
+			<div class="btn-group">
+				<button id="btnNewFolder" class="btn btn-success" title="Táº¡o thÆ° má»¥c má»i"><i class="icon-folder-close"></i></button>
+				<button id="btnDel" class="btn btn-success" title="XÃ³a"><i class="icon-eraser"></i></button>
+				<button id="btnCopy" class="btn btn-success" title="Sao chÃ©p"><i class="icon-copy"></i></button>
+				<button id="btnCut"class="btn btn-success" title="Cáº¯t"><i class="icon-cut"></i></button>
+				<button id="btnPaste"class="btn btn-success" title="DÃ¡n"><i class="icon-paste"></i></button>
+			</div>
+			<div class="btn-group">
+				<button class="btn btn-danger" title="Chia sáº»"><i class="icon-share-alt"></i></button>
+				<button class="btn btn-danger" title="Xem trÆ°á»c"><i class="icon-eye-open"></i></button>
+			</div>
+			<div class="btn-group">
+				<button class="btn btn-warning" title="Táº£i xuá»ng"><i class="icon-cloud-download"></i></button>
+				<button class="btn btn-info" title="Táº£i lÃªn"><i class="icon-cloud-upload"></i></button>
+			</div>
+		</div>
+	</div>
+
+	<div class="row">
+	    <div id="directory-view-container">
+	    	<div id="treeview-container">
+				
+	    	</div>
+	    </div>    
+	    
+	    <div id="directory-content-view-container">
+			<div id="file-container" class="vsgrid">
+				
+			</div>
+	    </div>
+	</div>
+
+	<div class="row">
+		<div id="status-bar" class="col-sm-12 col-md-12 col-lg-12 header-color-blue2"></div>
+	</div>
+</div>
+
+<?php
+$this->load->view('layout/footer');
+?>
Index: /pro-bachkim-filespace/sourcecode/application/views/layout/contextmenu.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/views/layout/contextmenu.php	(revision 10)
+++ /pro-bachkim-filespace/sourcecode/application/views/layout/contextmenu.php	(revision 10)
@@ -0,0 +1,3 @@
+<div id="context-menu">
+	<div></div>
+</div>
Index: /pro-bachkim-filespace/sourcecode/application/views/layout/footer.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/views/layout/footer.php	(revision 10)
+++ /pro-bachkim-filespace/sourcecode/application/views/layout/footer.php	(revision 10)
@@ -0,0 +1,20 @@
+<script type="text/javascript">
+	window.jQuery || document.write("<script src='assets/js/jquery/jquery-1.11.1.min.js'>"+"<"+"/script>");
+</script>
+
+<script type="text/javascript">
+	if("ontouchend" in document) document.write("<script src='assets/js/jquery/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+</script>
+<script src="assets/js/bootstrap/bootstrap.min.js"></script>
+<script src="assets/js/jquery/jquery-ui-1.10.4.min.js"></script>
+
+<script src="assets/js/jquery/jqueryFileTree.js"></script>
+<script src="assets/js/jquery/jquery.easing.1.3"></script>
+<script src="assets/js/vsfiletree.js"></script>
+<script src="assets/js/vsfilemanager.js"></script>
+
+<script type="text/javascript" src="assets/js/filemanager/filemanager.js">
+
+</script>
+</body>
+</html>
Index: /pro-bachkim-filespace/sourcecode/application/views/layout/header.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/views/layout/header.php	(revision 10)
+++ /pro-bachkim-filespace/sourcecode/application/views/layout/header.php	(revision 10)
@@ -0,0 +1,12 @@
+<!DOCTYPE HTML>
+<html>
+<head>
+<meta charset="utf-8" />
+<title>Violet Space</title>
+
+<meta name="description" content="overview &amp; stats" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0" />
+
+<link rel="stylesheet" href="assets/css/space/style.css" />
+
+	</head>
Index: /pro-bachkim-filespace/sourcecode/assets/js/filemanager/filemanager.js
===================================================================
--- /pro-bachkim-filespace/sourcecode/assets/js/filemanager/filemanager.js	(revision 9)
+++ /pro-bachkim-filespace/sourcecode/assets/js/filemanager/filemanager.js	(revision 10)
@@ -52,5 +52,5 @@
 
 		var privateTree =  $('#treeview-container').violetTree({
-			script:'getdata.php',
+			script:'http://localhost/ajax/privatecontent/getcontent',
 			expandEasing: 'easeOutBounce', 
 			collapseEasing: 'easeOutBounce',