Index: /pro-bachkim-filespace/sourcecode/application/views/layout/footer.php
===================================================================
--- /pro-bachkim-filespace/sourcecode/application/views/layout/footer.php	(revision 12)
+++ /pro-bachkim-filespace/sourcecode/application/views/layout/footer.php	(revision 13)
@@ -13,4 +13,5 @@
 <script src="assets/js/vsfiletree.js"></script>
 <script src="assets/js/vsfilemanager.js"></script>
+<script src="assets/js/vscontextmenu.js"></script>
 
 <script type="text/javascript" src="assets/js/filemanager/filemanager.js">
Index: /pro-bachkim-filespace/sourcecode/assets/css/space/contextmenu.css
===================================================================
--- /pro-bachkim-filespace/sourcecode/assets/css/space/contextmenu.css	(revision 13)
+++ /pro-bachkim-filespace/sourcecode/assets/css/space/contextmenu.css	(revision 13)
@@ -0,0 +1,26 @@
+@CHARSET "UTF-8";
+
+DIV.contextmenu {
+	position:absolute;
+	display:block;
+	border: 1px #39a2ea solid;
+	top:0;
+	left: 0;
+	height:auto;
+	width:100px;
+}
+
+DIV.contextmenu.separator {
+	display: block;
+	height:1px;
+	border-top:1px #CCCCCC solid;
+	border-bottom: 1px #FFFFFF solid;
+	width: 100%;
+}
+
+DIV.contextmenu.item {
+	width: 100%;
+	height:23px;
+	padding: 10px 3px 3px 0px;
+	display:block;
+}
Index: /pro-bachkim-filespace/sourcecode/assets/css/space/style.css
===================================================================
--- /pro-bachkim-filespace/sourcecode/assets/css/space/style.css	(revision 12)
+++ /pro-bachkim-filespace/sourcecode/assets/css/space/style.css	(revision 13)
@@ -6,4 +6,5 @@
 @import "../ace.min.css";
 @import "vsgrid.css";
+@import "contextmenu.css";
 
 body {
Index: /pro-bachkim-filespace/sourcecode/assets/js/filemanager/filemanager.js
===================================================================
--- /pro-bachkim-filespace/sourcecode/assets/js/filemanager/filemanager.js	(revision 12)
+++ /pro-bachkim-filespace/sourcecode/assets/js/filemanager/filemanager.js	(revision 13)
@@ -50,5 +50,13 @@
 
 		var privateGrid = $('#file-container').violetGrid ({directoryContent:null});
-
+		
+		$('#main-content').violetcontextmenu({
+				groups:{
+						'file':{name:'File',disabled:false},
+						'edit':{name:'Edit',disabled:false},
+						'share':{name:'Share',disabled:false}
+					}
+		});
+		
 		var privateTree =  $('#treeview-container').violetTree({
 			expandEasing: 'easeOutBounce', 
@@ -57,5 +65,4 @@
 			grid: privateGrid
 		});
-
 
 		$('#btnNewFolder').click (function(){
Index: /pro-bachkim-filespace/sourcecode/assets/js/vscontextmenu.js
===================================================================
--- /pro-bachkim-filespace/sourcecode/assets/js/vscontextmenu.js	(revision 13)
+++ /pro-bachkim-filespace/sourcecode/assets/js/vscontextmenu.js	(revision 13)
@@ -0,0 +1,39 @@
+if(jQuery) (function($){
+	
+	$.extend($.fn, {
+		violetcontextmenu: function (o) {
+				if( !o ) var o = {};
+				if( o.groups == undefined ) o.group = null;
+				if( o.items == undefined ) o.items = null;
+				if( o.container == undefined ) o.container = $(this);
+				
+				var buildMenu = function () {
+					//if (o.groups == null) return false;
+					var divElement = '<div class="contextmenu"></div>';
+					$(o.container).append(divElement);
+					var menu = $('.contextmenu');
+					var divSeparator = '<div class="contextmenu separator"></div>';
+					var divItem = '';
+					var count = 0;
+					for(var g in o.groups) {
+						if (count != 0) $(menu).append(divSeparator);
+						
+						divItem = '<div class="contextmenu item">item ' + g +'</div>';
+						$(menu).append(divItem);
+						
+						count++;
+					}
+					
+				}
+				
+				buildMenu();
+				
+				this.initialize = function() {
+	        		return this;
+	    		};
+	
+				return this.initialize();
+			}
+	});
+
+})(jQuery);
Index: /pro-bachkim-filespace/sourcecode/assets/js/vsfilemanager.js
===================================================================
--- /pro-bachkim-filespace/sourcecode/assets/js/vsfilemanager.js	(revision 12)
+++ /pro-bachkim-filespace/sourcecode/assets/js/vsfilemanager.js	(revision 13)
@@ -319,43 +319,4 @@
 
 			return this.initialize();
-		},
-		
-		violetcontextmenu: function (o) {
-			if( !o ) var o = {};
-			if( o.groups = undefined ) o.groups = {{id:0, disabled:false}}; /*{{id:0,disabled:false}}*/
-			if( o.items = undefined ) o.items = null;/*{{id:0,groupID:0,name:'', trigger:e ,disabled:false}}*/
-			if( o.width = undefined ) o.width = null;
-			if( o.itemHeight = undefined ) o.itemHeight = null;
-			
-			/*var buildGroup = function () {
-				
-				if (o.groups == null) return false;
-				
-				var strHTML = '<div class="contextmenu hidden">';
-				
-				for (var i = 0; i < o.groups.length; i++) {
-					if (i != 0) strHTML += '<div class="contextmenu separated"></div>';
-					strHTML += buildItem (o.groups[i]);
-				}
-				
-				strHTML += '</div>';
-			}
-			
-			var buildItem = function (g) {
-				var strHTML = '';
-				
-				for(var i = 0; i < o.items.length; i++) {
-					if (o.items[i].groupID == g.id)
-						strHTML = '<div class="contextmenu item">' + o.items[i].name + '</div>';
-				}
-				
-				return strHTML;
-			}*/
-			
-			var buildMenu = function () {
-				if (o.groups == null) return false;
-				
-				
-			}
 		}
 	});